Bug 97684 - default gnome-terminal font doesn't have unicode characters
Summary: default gnome-terminal font doesn't have unicode characters
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-19 10:46 UTC by Vladimir Vukicevic
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-05 03:39:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vladimir Vukicevic 2003-06-19 10:46:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

The default gnome-terminal font is not able to display utf8 characters, thus
requiring extra fiddling on the part of the user to be able to be able to work
using alternate character sets.

Version-Release number of selected component (if applicable):
gnome-terminal-2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. adduser test
2. Log in as test via gdm
3. Add the gnome character layout applet to the panel
4. Select Preferences in the char layout panel, and add Serb ->
Serbia/Montenegro -> Serbian xkb layout
5. Open gnome-terminal (right-click New Terminal)
6. Use character set applet to switch to sr.
7. Attempt to type "asdf"

Actual Results:  Little spaces appear

Expected Results:  asdf in the Cyrillic charset should appear, i.e.
асдф

Additional info:

If the font is changed in the profile, (i.e. to Fixed), the characters appear.

Comment 1 Havoc Pennington 2003-10-04 06:08:47 UTC
The default font is a global setting so the bug would be against fontconfig

I think the problem though is vte not doing fontsetting, which should be fixed
in rawhide.

Comment 2 Ray Strode [halfline] 2004-11-05 03:39:19 UTC
This should be fixed now.  


Note You need to log in before you can comment on or make changes to this bug.